-- Author: Nerino1
-- Create Date : 9/14/2016
-- Version 2.0

local f=CreateFrame("frame");
f:RegisterEvent("PLAYER_LOGIN");

local size = 40
local faction = UnitFactionGroup("player")
local level = UnitLevel("player")

local function eventhandler(self,event)
	if event == "PLAYER_LOGIN" then
		if UnitLevel("player") <= 97 then
			ClassHallFinderButton:Hide()
			do return end
		end
		DEFAULT_CHAT_FRAME:AddMessage("ClassHallFinder Loaded.");
	end
end

f:SetScript("OnEvent",eventhandler);

local btn = CreateFrame("Button", "ClassHallFinderButton", UIParent, "SecureActionButtonTemplate")
btn:SetPoint("CENTER")
btn:SetHeight(size)
btn:SetWidth(size)
btn:SetAttribute("type", "item")

local icon = btn:CreateTexture()
icon:SetAllPoints(true)
icon:SetTexture("Interface\\Icons\\Achievement_Dungeon_ClassicRaider")
btn.icon = icon

btn:EnableMouse(true)
btn:SetMovable(true)
btn:RegisterForDrag("LeftButton")
btn:SetScript("OnDragStart", function(self) if IsAltKeyDown() then self:StartMoving() end end)
btn:SetScript("OnDragStop", function(self) self:StopMovingOrSizing() end)

btn:SetScript("OnClick", function(event)
	if select(2,UnitClass("player"))=="PALADIN" then
		if faction == "Alliance" then
			if IsShiftKeyDown() then
				print ("Class Hall Finder|cffF58CBA Paladin:|R From the golden portal entrance, turn right then take the first left and run straight into the Hall of Champions. Continue going straight to the Altar of Ancient Kings (72,24)")
			else
				print ("Class Hall Finder|cffF58CBA Paladin:|R Enter the Greyfang Enclave, go straight up the stairs and enter the golden portal")
			end
		elseif faction == "Horde" then
			if IsShiftKeyDown() then
				print ("Class Hall Finder|cffF58CBA Paladin:|R From the golden portal entrance, turn right then take the first left and run straight into the Hall of Champions. Continue going straight to the Altar of Ancient Kings (72,24)")
			else
				print ("Class Hall Finder|cffF58CBA Paladin:|R Enter the Windrunner's Sanctuary, go up two flights of stairs, go in the room on the right and enter the golden portal")	
			end
		end
	elseif select(2,UnitClass("player"))=="WARRIOR" then
		if IsShiftKeyDown() then
			print ("Class Hall Finder|cffC79C6E Warrior:|R Upon zoning in to Skyhold, head west and go up the stairs. Directly ahead of you is the Forge of Odyn (40,35)")
		else
			print ("Class Hall Finder|cffC79C6E Warrior:|R On Krasus' Landing, step into the golden light next to the Val'kyr and press the button that pops up")
		end
	elseif select(2,UnitClass("player"))=="HUNTER" then
		if IsShiftKeyDown() then
			print ("Class Hall Finder|cffABD473 Hunter:|R From the Trueshot Lodge flight point, go straight then take the second right and head into the Lodge. The Altar of the Eternal Hunt is across from the lodge entrance (47,53)")
		else
			print ("Class Hall Finder|cffABD473 Hunter:|R On the left side of Krasus' Landing, speak to Talua for an Eagle flight")
		end
	elseif select(2,UnitClass("player"))=="ROGUE" then
		if IsShiftKeyDown() then
			print ("Class Hall Finder|cffFFF569 Rogue:|R Located between the Chamber of Shadows and your mission board is the Uncrowned Vault. Inside the Uncrowned Vault up the steps is the Crucible of the Uncrowned (28,61)")
		else
			print ("Class Hall Finder|cffFFF569 Rogue:|R Show your Insignia to the vendor in any of these stores. Glorious Goods(secret passage), One More Glass (brass knocker) or Tanks for Everything (brass knocker)")
		end
	elseif select(2,UnitClass("player"))=="PRIEST" then
		if faction == "Alliance" then
			if IsShiftKeyDown() then
				print ("Class Hall Finder|cffFFFFFF Priest:|R Upon entering the Netherlight Temple, run straight across the room, go up the ramp, and you will find the Altar of Light and Shadow (50,22)")
			else
				print ("Class Hall Finder|cffFFFFFF Priest:|R Enter the Greyfang Enclave go up the stairs on the right, in the shop go up the stairs on the right again and enter the silver portal")
			end
		elseif faction == "Horde" then
			if IsShiftKeyDown() then
				print ("Class Hall Finder|cffFFFFFF Priest:|R Upon entering the Netherlight Temple, run straight across the room, go up the ramp, and you will find the Altar of Light and Shadow (50,22)")
			else
				print ("Class Hall Finder|cffFFFFFF Priest:|R Enter the Windrunner's Sanctuary, go up two flights of stairs, go in the room on the right and enter the silver portal")	
			end
		end
	elseif select(2,UnitClass("player"))=="DEATHKNIGHT" then
		if IsShiftKeyDown() then
			print ("Class Hall Finder|cffC41F3B Death Knight:|R Upon entering Acherus, go down the stairs, turn around and enter the purple teleporter to The Heart of Acherus. Now, head straight across the room to the far side to find the Soul Forge")
		else
			print ("Class Hall Finder|cffC41F3B Death Knight:|R Teleport to your Order Hall using your Death Gate ability")
		end
	elseif select(2,UnitClass("player"))=="SHAMAN" then
		if IsShiftKeyDown() then
			print ("Class Hall Finder|cff0070DE Shaman:|R Upon entering the Maelstrom, turn around and head north then take the first right. Out on the rocks, overlooking the Maelstrom, is the Ancient Elemental Altar (35,46)")
		else
			print ("Class Hall Finder|cff0070DE Shaman:|R On the right side of Krasus' Landing, enter the Portal to the Maelstrom")
		end	
	elseif select(2,UnitClass("player"))=="MAGE" then
		if IsShiftKeyDown() then
			print ("Class Hall Finder|cff69CCF0 Mage:|R Upon entering the Hall of the Guardian, head straight up the stairs (around the fountain), at the top of the stairs in the middle of the round room on the floor is the Forge of the Guardian (59,44)")
		else
			print ("Class Hall Finder|cff69CCF0 Mage:|R Teleport to your Order Hall using your Teleport: Hall of the Guardian ability")
		end	
	elseif select(2,UnitClass("player"))=="WARLOCK" then
		if IsShiftKeyDown() then
			print ("Class Hall Finder|cff9482C9 Warlock:|R From the class hall entrance, head left up the hill and along the bridge to the Felbood Altar (34,29)")
		else
			print ("Class Hall Finder|cff9482C9 Warlock:|R Head down into the sewers. enter the portal at the bottom of the stairs")
		end	
	elseif select(2,UnitClass("player"))=="MONK" then
		if IsShiftKeyDown() then
			print ("Class Hall Finder|cff37a587 Monk:|R Upon teleporting into the Temple of the Five Dawns, you will be directly in front of the Forge of the Roaring Mountain (51,48)")
		else
			print ("Class Hall Finder|cff37a587 Monk:|R Teleport to your Order Hall using your Zen Pilgrimage ability")
		end	
	elseif select(2,UnitClass("player"))=="DRUID" then
		if IsShiftKeyDown() then
			print ("Class Hall Finder|cffFF7D0A Druid:|R Upon entering the Emerald Dreamway, run straight over the bridge and into the Dreamgrove. Go straight following the water. Continue straight through the Circle of Spirits, up the hill turn right at the pond and left at the moonwell. The Seed of Ages is at the top of the hill (31,53)")
		else
			print ("Class Hall Finder|cffFF7D0A Druid:|R Teleport to your Order Hall using your Dreamwalk ability")
		end	
	elseif select(2,UnitClass("player"))=="DEMONHUNTER" then
		if IsShiftKeyDown() then
			print ("Class Hall Finder|cffA330C9 Demon Hunter:|R Upon zoning in to The Fel Hammer, head inside the building, turn left or right and head down the tunnel ramp. Enter the room at the bottom of the ramp and go into the north room to find the Cursed Forge of the Nathrezim")
		else
			print ("Class Hall Finder|cffA330C9 Demon Hunter:|R Jump off Krasus' landing and glide to the small nearby island and use the Portal to enter The Fel Hammer")
		end	
	end
end)

btn:SetScript("OnEnter", function(self)
	GameTooltip:SetOwner(self, "ANCHOR_TOP")
		GameTooltip:AddLine("Class Hall Finder")
		GameTooltip:AddLine("Shift+Click to find Artifact Forge ")
		GameTooltip:AddLine("Alt+Drag to move")
	GameTooltip:Show()
end)

btn:SetScript("OnLeave", function() GameTooltip:Hide() end)